This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1262970 - [abrt] taskcoach: _windows.py:2841:SetIcon:PyAssertionError: C++ assertion "IsOk()" failed at ./src/gtk/bitmap.cpp(1328) in GetPixbuf(): invalid bitmap
[abrt] taskcoach: _windows.py:2841:SetIcon:PyAssertionError: C++ assertion "I...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: taskcoach (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Radej
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:caaa64e56c57cf440944dd9c3e4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 15:11 EDT by Avvocato Andrea Marengoni
Modified: 2017-07-19 07:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.92 KB, text/plain)
2015-09-14 15:11 EDT, Avvocato Andrea Marengoni
no flags Details
File: environ (3.03 KB, text/plain)
2015-09-14 15:11 EDT, Avvocato Andrea Marengoni
no flags Details

  None (edit)
Description Avvocato Andrea Marengoni 2015-09-14 15:11:28 EDT
Version-Release number of selected component:
taskcoach-1.4.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /usr/bin/taskcoach
dso_list:       wxPython-3.0.2.0-5.fc22.x86_64
executable:     /usr/bin/taskcoach
kernel:         4.1.6-201.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
_windows.py:2841:SetIcon:PyAssertionError: C++ assertion "IsOk()" failed at ./src/gtk/bitmap.cpp(1328) in GetPixbuf(): invalid bitmap

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/dialog/reminder.py", line 114, in onStartOrStopTracking
    command.StartEffortCommand(self.taskList, [self.task]).do()
  File "/usr/lib/python2.7/site-packages/taskcoachlib/command/base.py", line 69, in do
    self.do_command()
  File "/usr/lib/python2.7/site-packages/taskcoachlib/command/taskCommands.py", line 306, in do_command
    self.addEfforts()
  File "/usr/lib/python2.7/site-packages/taskcoachlib/command/taskCommands.py", line 318, in addEfforts
    item.addEffort(newEffort)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/domain/task/task.py", line 578, in addEffort
    self.sendTrackingChangedMessage(tracking=True)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/domain/task/task.py", line 588, in sendTrackingChangedMessage
    sender=self)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/thirdparty/pubsub/core/kwargs/publisher.py", line 27, in sendMessage
    topicObj.publish(**kwargs)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/thirdparty/pubsub/core/kwargs/publishermixin.py", line 24, in publish
    self._publish(msgKwargs)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/thirdparty/pubsub/core/topicobj.py", line 376, in _publish
    self.__sendMessage(data, self, iterState)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/thirdparty/pubsub/core/topicobj.py", line 397, in __sendMessage
    self._mix_callListener(listener, data, iterState)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/thirdparty/pubsub/core/kwargs/publishermixin.py", line 64, in _mix_callListener
    listener(iterState.filteredArgs, self, msgKwargs)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/thirdparty/pubsub/core/kwargs/listenerimpl.py", line 43, in __call__
    cb(**kwargs)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/taskbaricon.py", line 98, in onTrackingChanged
    self.__startTicking()
  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/taskbaricon.py", line 157, in __startTicking
    self.__setIcon()
  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/taskbaricon.py", line 214, in __setIcon
    self.SetIcon(icon, self.__tooltipText)
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_windows.py", line 2841, in SetIcon
    return _windows_.TaskBarIcon_SetIcon(*args, **kwargs)
PyAssertionError: C++ assertion "IsOk()" failed at ./src/gtk/bitmap.cpp(1328) in GetPixbuf(): invalid bitmap

Local variables in innermost frame:
args: (<taskcoachlib.gui.taskbaricon.TaskBarIcon; proxy of <Swig Object of type 'wxPyTaskBarIcon *' at 0x3c44840> >, <wx._gdi.Icon; proxy of <Swig Object of type 'wxIcon *' at 0x3f70120> >, u'Task Coach - Atti.tsk\nmonitoraggio "Marengoni e Sina - Bianchi ed altri 13000279 2012 e 13000473 2012 replica a conclusionale"')
kwargs: {}
Comment 1 Avvocato Andrea Marengoni 2015-09-14 15:11:32 EDT
Created attachment 1073411 [details]
File: backtrace
Comment 2 Avvocato Andrea Marengoni 2015-09-14 15:11:34 EDT
Created attachment 1073412 [details]
File: environ
Comment 3 Ivan Romanov 2015-11-16 08:31:03 EST
Another user experienced a similar problem:

I just start application. Always when I start appliction it crashes.

reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/bin/taskcoach
dso_list:       wxPython-3.0.2.0-7.fc22.x86_64
event_log:      2015-11-16-18:29:59> ('report_uReport' completed successfully)
executable:     /usr/bin/taskcoach
kernel:         4.2.5-201.fc22.x86_64
package:        taskcoach-1.4.2-1.fc22
reason:         _windows.py:2841:SetIcon:PyAssertionError: C++ assertion "IsOk()" failed at ./src/gtk/bitmap.cpp(1328) in GetPixbuf(): invalid bitmap
runlevel:       N 5
type:           Python
uid:            1000
Comment 4 Bernie Hoefer 2015-11-19 09:03:24 EST
I get the same *exact* same PyAssertionError with python-2.7.10-8.fc23.x86_64, wxPython-3.0.2.0-7.fc23.x86_64 and taskcoach-1.4.2-3.fc23.noarch on Fedora 23 when I try opening a TaskCoach file I used in Fedora 21.  See below.

I've not exhaustively tried to reproduce the error with a brand new TaskCoach file, but initial, trivial attempts were unsuccessful.


Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/iocontroller.py", line 125, in open
    breakLock=breakLock)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/persistence/taskfile.py", line 661, in load
    return super(LockedTaskFile, self).load(filename)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/persistence/taskfile.py", line 406, in load
    self.tasks().extend(tasks)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 170, in decorator
    event.send()
  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 156, in send
    Publisher().notifyObservers(self)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 315, in notifyObservers
    observer(subEvent)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/patterns/observer.py", line 189, in __call__
    return self.method(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/taskbaricon.py", line 86, in onTaskListChanged
    self.__startOrStopTicking()
  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/taskbaricon.py", line 150, in __startOrStopTicking
    self.__startTicking()
  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/taskbaricon.py", line 157, in __startTicking
    self.__setIcon()
  File "/usr/lib/python2.7/site-packages/taskcoachlib/gui/taskbaricon.py", line 214, in __setIcon
    self.SetIcon(icon, self.__tooltipText)
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_windows.py", line 2841, in SetIcon
    return _windows_.TaskBarIcon_SetIcon(*args, **kwargs)
PyAssertionError: C++ assertion "IsOk()" failed at ./src/gtk/bitmap.cpp(1328) in GetPixbuf(): invalid bitmap
Comment 5 Fedora End Of Life 2016-07-19 13:53:49 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.